QGIS Application - Bug report #2281
wrong/useless values added to the "undo/redo™ stack
2009-12-14 12:10 PM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 12341
Description

a) Select a polygon and try add a "part” that overlaps the selected polygon, you'll get the message "New polygon ring not disjoint with
existing polygons" and the "part" in not added, but the "island added" action always appear in the "Undo/Redo" stack.

b) For sake of consistency the "island added/delete" text in the undo/redo stack should become "part added/deleted"”

Associated revisions

Revision ffd8db9e - 2009-12-14 09:46 PM - Jiirgen Fischer

fix #2281

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@12455 ¢8812cc2-4d05-0410-92ff-de0c093fc19¢c

Revision e6a27418 - 2009-12-14 09:46 PM - Jiirgen Fischer

fix #2281

git-svn-id: http://svn.osgeo.org/qgis/trunk@12455 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-12-14 01:11 PM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

fixed in commit:e6a27418 (SVN r12456).

2025-12-15 1/1



http://svn.osgeo.org/qgis/trunk/qgis@12455
http://svn.osgeo.org/qgis/trunk@12455

